org.eclipse.rdf4j.federated.evaluation.join

## Class ControlledWorkerBoundJoin.BoundJoinTaskCreator

- java.lang.Object
- - org.eclipse.rdf4j.federated.evaluation.join.ControlledWorkerBoundJoin.BoundJoinTaskCreator

- All Implemented Interfaces:
    ControlledWorkerBoundJoin.TaskCreator
  Enclosing class:
    ControlledWorkerBoundJoin

      protected class ControlledWorkerBoundJoin.BoundJoinTaskCreator
      extends Object
      implements ControlledWorkerBoundJoin.TaskCreator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ControlledWorkerBoundJoin` | `_control`
    `protected StatementTupleExpr` | `_expr`
    `protected FederationEvalStrategy` | `_strategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundJoinTaskCreator(ControlledWorkerBoundJoin control, FederationEvalStrategy strategy, StatementTupleExpr expr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParallelTask<BindingSet>` | `getTask(List<BindingSet> bindings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _control

          protected final ControlledWorkerBoundJoin _control

    - #### _strategy

          protected final FederationEvalStrategy _strategy

    - #### _expr

          protected final StatementTupleExpr _expr

  - ### Constructor Detail

    - #### BoundJoinTaskCreator

          public BoundJoinTaskCreator(ControlledWorkerBoundJoin control,
                                      FederationEvalStrategy strategy,
                                      StatementTupleExpr expr)

  - ### Method Detail

    - #### getTask

          public ParallelTask<BindingSet> getTask(List<BindingSet> bindings)

      Specified by:
        `getTask` in interface `ControlledWorkerBoundJoin.TaskCreator`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.